<!-- This is a content page that will be included in the layout page -->
<ui:composition
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
    xmlns:h="http://xmlns.jcp.org/jsf/html"
    xmlns:p="http://primefaces.org/ui"
    xmlns:b="http://bootsfaces.net/ui"
    xmlns:jsf="http://xmlns.jcp.org/jsf"
    xmlns:a="http://xmlns.jcp.org/jsf/passthrough"
    xmlns:f="http://xmlns.jcp.org/jsf/core">

    <div class="overlayContainer">
        <h:graphicImage library="images" name="welcome-page-shape.png" class="img-responsive imageShape" />
        <div class="absoluteCenter">
            <h1 class="bigText glowingText">#{msgs.storeName}</h1>
            <p:outputLabel class="disableForMoblie">#{msgs.welcomePageQuote} -Tomie dePaola</p:outputLabel>
            <h:form id="browseBooksForm">
                <button id="brwoseBooksBtn" class="glow-on-hover" style="background: #000000" type="submit" value="submit" jsf:action="#{theBooks.searchAll()}">
                    <span class="flameText">#{msgs.browseBooks}</span>
                </button>
            </h:form>
        </div>
    </div>

    <hr/>

    <!-- News Highlights -->
    <div class="cardShadow orangeBackground infoSpacing">
        <div class="container-fluid">
            <h2 class="text-center">#{msgs.newsHighlights}</h2>
            <div id="newsScroll" class="textWhite col-sm-offset-1 col-sm-10">
                <p:feedReader value="#{newsFeedBean.currentActiveURL}" var="feed" size="#{newsFeedBean.howManyNewsToShow}">
                    <div class="cardShadow gradientLightGray text-center newsItem newsFeedData">
                        <p:separator />
                        <h3 class="glowingText">
                            #{feed.title}
                        </h3>
                        <br/>
                        <h:outputText value="#{feed.description.value}" escape="false" />
                        <br/>
                        <h:outputLink role="button" id="newsBtn" value="#{feed.link}" target="_blank" class="textBlack">
                            <button class="glow-on-hover" type="button">
                                <span class="flameText">#{msgs.viewDetails}</span>
                            </button>
                        </h:outputLink>
<!--                        <a href="#{feed.link}" role="button" target="_blank" class="textBlack">
                            <button class="glow-on-hover" type="button">
                                <span class="flameText">#{msgs.viewDetails}</span>
                            </button>
                        </a>-->
                        <p:separator />
                        <f:facet name="error">
                            #{msgs.noNews}
                        </f:facet>
                    </div>
                </p:feedReader>
            </div>
        </div>
    </div>

    <!-- new books / on sale -->
    <div class="infoSpacing">
        <div class="container-fluid">
            <div class="row">
                <!-- Recent Books -->
                <div class="col-md-offset-1 col-md-5 innerGrayGredient">
                    <h2 class="text-center flameText"><span class="glyphicon glyphicon-plus"></span> #{msgs.newBooksFrontDoor}</h2>
                    <hr/>
                    <div class="showcase showcaseNewBooks text-center">
                        <!--<h:graphicImage library="images" name="shelf.png" class="img-responsive imageShape" />-->
                        <ui:repeat value="#{frontDoorOffersBean.newBooks}" var="book">
                            <div>
                                <!--Name of book-->
                                <h:form>
                                    <h:commandLink class="aBookTitle" action="#{theBooks.showSelectedBook(book,user.userId)}">#{book.title}</h:commandLink><br/>
                                </h:form>
                                
                                <!--Image-->
                                <h:form>
                                    <h:commandLink action="#{theBooks.showSelectedBook(book,user.userId)}">
                                        <h:graphicImage library="images" name="coverImages/#{book.imageUrl}" height="200px" class="cardShadow booksOnShelf"/>
                                    </h:commandLink>
                                </h:form>
                            </div>
                        </ui:repeat>
                    </div>
                    <div class="shelf shelfNewBooks">
                        <ui:repeat value="#{frontDoorOffersBean.newBooks}" var="book">
                            <div class="bookSpacing">
                                <!--Image-->
                                <h:form>
                                    <h:commandLink action="#{theBooks.showSelectedBook(book,user.userId)}">
                                        <h:graphicImage library="images" name="coverImages/#{book.imageUrl}" class="cardShadow booksOnShelf"/>
                                    </h:commandLink>
                                </h:form>
                            </div>
                        </ui:repeat>
                    </div>
                </div>
                
                <!-- Books on Sale -->
                <div class="col-md-5 innerGrayGredient">
                    <h2 class="text-center flameText"><span class="glyphicon glyphicon-fire"></span> #{msgs.onSaleFrontDoor}</h2>
                    <hr/>
                    <div class="showcase showcaseBooksOnSale text-center">
                        <!--<h:graphicImage library="images" name="shelf.png" class="img-responsive imageShape" />-->
                        <ui:repeat value="#{frontDoorOffersBean.booksOnSale}" var="book">
                            <div>
                                <!--Name of book-->
                                <h:form>
                                    <h:commandLink class="aBookTitle" action="#{theBooks.showSelectedBook(book,user.userId)}">#{book.title}</h:commandLink><br/>
                                </h:form>
                                
                                <!--Image-->
                                <h:form>
                                    <h:commandLink action="#{theBooks.showSelectedBook(book,user.userId)}">
                                        <h:graphicImage library="images" name="coverImages/#{book.imageUrl}" height="200px" class="cardShadow booksOnShelf"/>
                                    </h:commandLink>
                                </h:form>
                            </div>
                        </ui:repeat>
                    </div>
                    <div class="shelf shelfBooksOnSale">
                        <ui:repeat value="#{frontDoorOffersBean.booksOnSale}" var="book">
                            <div class="bookSpacing">
                                <!--Image-->
                                <h:form>
                                    <h:commandLink action="#{theBooks.showSelectedBook(book,user.userId)}">
                                        <h:graphicImage library="images" name="coverImages/#{book.imageUrl}" class="cardShadow booksOnShelf"/>
                                    </h:commandLink>
                                </h:form>
                            </div>
                        </ui:repeat>
                    </div>
                </div>
            </div>
        </div>

    </div>

    <!-- Recommendation -->
    <h:panelGroup rendered="#{!preRenderViewBean.cookiesEnabled or resentPageCookie.oldCustomer}" layout="block">
        <div class="cardShadow orangeBackground infoSpacing">
            <div class="container-fluid">
                <h:panelGroup rendered="#{!preRenderViewBean.cookiesEnabled}">
                    <h2 class="text-center">#{msgs.PleaseEnableCookies}</h2>
                </h:panelGroup>
                <h:panelGroup rendered="#{preRenderViewBean.cookiesEnabled}" layout="block" class="col-sm-offset-1 col-sm-10">
                    <h2 class="text-center">#{msgs.frontPageRecommendation}</h2>
                    <div id="frontPageRecommendation">
                        <ui:repeat value="#{frontDoorOffersBean.recommendedBooks}" var="book">
                            <div class="cardShadow gradientLightGray text-center frontPageRecommendationItem">
                                <h:form>
                                    <h:commandLink class="aBookTitle" action="#{theBooks.showSelectedBook(book,user.userId)}">#{book.title}</h:commandLink><br/>
                                </h:form>
                                <h:form>
                                    <h:commandLink action="#{theBooks.showSelectedBook(book,user.userId)}">
                                        <h:graphicImage library="images" name="coverImages/#{book.imageUrl}" class="cardShadow"/>
                                    </h:commandLink>
                                </h:form>
                                <button class="collapsible">#{msgs.moreInfo}</button>
                                <div class="collapsibleInfo">
                                    <p class="collapsibleText">#{book.description}</p>
                                </div>
                            </div>
                        </ui:repeat>
                    </div>
                </h:panelGroup>
            </div>
        </div>
    </h:panelGroup>
    
    
    <!-- Advertisement -->
    <h:panelGroup rendered="#{advertisementBean.advertisementActive}" class="infoSpacing" layout="block">
        <div class="container-fluid">
            <div class="advertisementsSection">
                <div class="title text-center">
                    <h1 class="bigText" style="text-decoration: underline;">#{msgs.ourSponsor}</h1>
                </div>
                
                <div class="advertisement">
<!--                    <a href="#{advertisementBean.currentAdvertisementURL}" target="_blank">
                        <img class="responsiveImage" src="#{advertisementBean.currentAdvertisementImage}"/>
                    </a>-->
                    <h:outputLink value="#{advertisementBean.currentAdvertisementURL}" target="_blank">
                        <img class="responsiveImage" src="#{advertisementBean.currentAdvertisementImage}"/>
                    </h:outputLink>
                </div>
            </div>
        </div>
    </h:panelGroup>
    
</ui:composition>